Index: palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised 
+! 
+! 3026 2018-05-22 10:30:53Z schwenkel
 ! Changed the name specific humidity to mixing ratio, since we are computing
 ! mixing ratios.
@@ -732,6 +735,6 @@
 !--    Check nudging and large scale forcing from external file
        IF ( nudging  .AND.  (  .NOT.  large_scale_forcing ) )  THEN
-          message_string = 'Nudging requires large_scale_forcing = .T.. &'//   &
-                        'Surface fluxes and geostrophic wind should be &'//    &
+          message_string = 'Nudging requires large_scale_forcing = .T.. '//    &
+                        'Surface fluxes and geostrophic wind should be '//     &
                         'prescribed in file LSF_DATA'
           CALL message( 'check_parameters', 'PA0374', 1, 2, 0, 6, 0 )
@@ -740,5 +743,5 @@
        IF ( large_scale_forcing  .AND.  ( bc_lr /= 'cyclic'  .OR.              &
                                           bc_ns /= 'cyclic' ) )  THEN
-          message_string = 'Non-cyclic lateral boundaries do not allow for &'//&
+          message_string = 'Non-cyclic lateral boundaries do not allow for  '//&
                         'the usage of large scale forcing from external file.'
           CALL message( 'check_parameters', 'PA0375', 1, 2, 0, 6, 0 )
@@ -746,5 +749,5 @@
 
        IF ( large_scale_forcing  .AND.  (  .NOT.  humidity ) )  THEN
-          message_string = 'The usage of large scale forcing from external &'//&
+          message_string = 'The usage of large scale forcing from external  '//&
                         'file LSF_DATA requires humidity = .T..'
           CALL message( 'check_parameters', 'PA0376', 1, 2, 0, 6, 0 )
@@ -752,5 +755,5 @@
 
        IF ( large_scale_forcing  .AND.  passive_scalar )  THEN
-          message_string = 'The usage of large scale forcing from external &'//&
+          message_string = 'The usage of large scale forcing from external '// &
                         'file LSF_DATA is not implemented for passive scalars'
           CALL message( 'check_parameters', 'PA0440', 1, 2, 0, 6, 0 )
@@ -759,5 +762,5 @@
        IF ( large_scale_forcing  .AND.  topography /= 'flat'                   &
                               .AND.  .NOT.  lsf_exception )  THEN
-          message_string = 'The usage of large scale forcing from external &'//&
+          message_string = 'The usage of large scale forcing from external  '//&
                         'file LSF_DATA is not implemented for non-flat topography'
           CALL message( 'check_parameters', 'PA0377', 1, 2, 0, 6, 0 )
@@ -765,5 +768,5 @@
 
        IF ( large_scale_forcing  .AND.  ocean )  THEN
-          message_string = 'The usage of large scale forcing from external &'//&
+          message_string = 'The usage of large scale forcing from external '// &
                         'file LSF_DATA is not implemented for ocean runs'
           CALL message( 'check_parameters', 'PA0378', 1, 2, 0, 6, 0 )
@@ -858,6 +861,6 @@
                                  TRIM( data_output_pr(var_count) ) //          &
                                  ' is not implemented for ' //                 &
-                                 'large_scale_forcing = .FALSE.'
-                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0393',    &
+                                 'nudging = .FALSE.'
+                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0394',    &
                                1, 2, 0, 6, 0 )
              ELSE
@@ -873,6 +876,6 @@
                                  TRIM( data_output_pr(var_count) ) //          &
                                  ' is not implemented for ' //                 &
-                                 'large_scale_forcing = .FALSE.'
-                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0393',    &
+                                 'nudging = .FALSE.'
+                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0394',    &
                                1, 2, 0, 6, 0 )
              ELSE
@@ -888,6 +891,6 @@
                                  TRIM( data_output_pr(var_count) ) //          &
                                  ' is not implemented for ' //                 &
-                                 'large_scale_forcing = .FALSE.'
-                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0393',    &
+                                 'nudging = .FALSE.'
+                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0394',    &
                                1, 2, 0, 6, 0 )
              ELSE
@@ -903,6 +906,6 @@
                                  TRIM( data_output_pr(var_count) ) //          &
                                  ' is not implemented for ' //                 &
-                                 'large_scale_forcing = .FALSE.'
-                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0393',    &
+                                 'nudging = .FALSE.'
+                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0394',    &
                                1, 2, 0, 6, 0 )
              ELSE
@@ -1280,6 +1283,6 @@
 
              IF ( ierrn /= 0 )  THEN
-               WRITE ( message_string, * ) 'No time dependent surface variables ' //&
-                                 'in&LSF_DATA for end of run found'
+               WRITE ( message_string, * ) 'No time dependent surface ' //     &
+                                 'variables in LSF_DATA for end of run found'
 
                 CALL message( 'ls_forcing', 'PA0363', 1, 2, 0, 6, 0 )
@@ -1289,5 +1292,5 @@
           IF ( time_surf(1) > end_time )  THEN
              WRITE ( message_string, * ) 'Time dependent surface variables in ' // &
-                                         '&LSF_DATA set in after end of ' ,        &
+                                         'LSF_DATA set in after end of ' ,         &
                                          'simulation - lsf_surf is set to FALSE'
              CALL message( 'ls_forcing', 'PA0371', 0, 0, 0, 6, 0 )
@@ -1316,5 +1319,5 @@
                 IF ( ierrn < 0 )  THEN 
                    WRITE( message_string, * ) 'No time dependent vertical profiles',&
-                                    ' in&LSF_DATA for end of run found'
+                                    ' in LSF_DATA for end of run found'
                    CALL message( 'ls_forcing', 'PA0372', 1, 2, 0, 6, 0 )
                 ENDIF
@@ -1362,7 +1365,7 @@
 
                    IF ( ierrn /= 0 )  THEN
-                      WRITE( message_string, * ) 'zu(',k,') = ', zu(k), 'm ', &
-                           'is higher than the maximum height in LSF_DATA which ',&
-                           'is ', lowheight, 'm. Interpolation on PALM ',         &
+                      WRITE( message_string, * ) 'zu(',k,') = ', zu(k), 'm ',  &
+                           'is higher than the maximum height in LSF_DATA ',   &
+                           'which is ', lowheight, 'm. Interpolation on PALM ',&
                            'grid is not possible.'
                       CALL message( 'ls_forcing', 'PA0395', 1, 2, 0, 6, 0 )
@@ -1832,12 +1835,12 @@
  
                 ierrn = 0
-                READ ( finput, *, IOSTAT=ierrn )  highheight , hightnudge , &
-                                                  highunudge , highvnudge , &
-                                                  highwnudge , highptnudge, &
+                READ ( finput, *, IOSTAT=ierrn )  highheight , hightnudge ,    &
+                                                  highunudge , highvnudge ,    &
+                                                  highwnudge , highptnudge,    &
                                                   highqnudge
                 IF (ierrn /= 0 )  THEN
-                   WRITE( message_string, * ) 'zu(',k,') = ', zu(k), 'm is ',&
-                        'higher than the maximum height in NUDING_DATA which ',  &
-                        'is ', lowheight, 'm. Interpolation on PALM ',           &
+                   WRITE( message_string, * ) 'zu(',k,') = ', zu(k), 'm is ',  &
+                        'higher than the maximum height in NUDING_DATA which ',&
+                        'is ', lowheight, 'm. Interpolation on PALM ',         &
                         'grid is not possible.'
                    CALL message( 'nudging', 'PA0364', 1, 2, 0, 6, 0 )
@@ -1872,6 +1875,6 @@
           ENDIF
 
-          WRITE( message_string, * ) 'Initial profiles of u, v and ',          &
-                                     'scalars from NUDGING_DATA are used.'
+          WRITE( message_string, * ) 'Initial profiles of u, v, pt and q ',    &
+                                     'from NUDGING_DATA are used.'
           CALL message( 'large_scale_forcing_nudging', 'PA0370', 0, 0, 0, 6, 0 )
        ENDIF
Index: palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 3044)
+++ palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3039 2018-05-24 13:13:11Z schwenkel
 ! bugfix for lcm with grid stretching
 ! 
@@ -380,6 +383,6 @@
 !--    the model timestep might be too long.
        IF ( ql_c(kp,jp,ip) > 100.0_wp )  THEN
-          WRITE( message_string, * ) 'k=',kp,' j=',jp,' i=',ip,      &
-                       ' ql_c=',ql_c(kp,jp,ip), ' &part(',n,')%wf=', &
+          WRITE( message_string, * ) 'k=',kp,' j=',jp,' i=',ip,                &
+                       ' ql_c=',ql_c(kp,jp,ip), ' part(',n,')%wf=',            &
                        particles(n)%weight_factor,' delta_r=',delta_r
           CALL message( 'lpm_droplet_condensation', 'PA0143', 2, 2, -1, 6, 1 )
@@ -390,7 +393,7 @@
        delta_r = new_r(n) - particles(n)%radius
        IF ( delta_r < 0.0_wp  .AND. new_r(n) < 0.0_wp )  THEN
-          WRITE( message_string, * ) '#1 k=',kp,' j=',jp,' i=',ip,    &
-                       ' e_s=',e_s, ' e_a=',e_a,' t_int=',t_int,      &
-                       ' &delta_r=',delta_r,                          &
+          WRITE( message_string, * ) '#1 k=',kp,' j=',jp,' i=',ip,             &
+                       ' e_s=',e_s, ' e_a=',e_a,' t_int=',t_int,               &
+                       ' delta_r=',delta_r,                                    &
                        ' particle_radius=',particles(n)%radius
           CALL message( 'lpm_droplet_condensation', 'PA0144', 2, 2, -1, 6, 1 )
Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 3044)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 3039 2018-05-24 13:13:11Z schwenkel
 ! bugfix for lcm with grid stretching
 ! 
@@ -333,7 +336,7 @@
 !-- Check the number of particle groups.
     IF ( number_of_particle_groups > max_number_of_particle_groups )  THEN
-       WRITE( message_string, * ) 'max_number_of_particle_groups =',      &
-                                  max_number_of_particle_groups ,         &
-                                  '&number_of_particle_groups reset to ', &
+       WRITE( message_string, * ) 'max_number_of_particle_groups =',           &
+                                  max_number_of_particle_groups ,              &
+                                  ' number_of_particle_groups reset to ',      &
                                   max_number_of_particle_groups
        CALL message( 'lpm_init', 'PA0213', 0, 1, 0, 6, 0 )
@@ -345,5 +348,5 @@
 !-- propably (not realized so far).
     IF ( surf_def_h(1)%ns >= 1 )  THEN
-       WRITE( message_string, * ) 'Overhanging topography do not work '// &
+       WRITE( message_string, * ) 'Overhanging topography do not work '//      &
                                   'with particles'
        CALL message( 'lpm_init', 'PA0212', 0, 1, 0, 6, 0 )
@@ -466,5 +469,5 @@
 
        CASE DEFAULT
-          WRITE( message_string, * )  'unknown boundary condition ',   &
+          WRITE( message_string, * )  'unknown boundary condition ',           &
                                        'bc_par_b = "', TRIM( bc_par_b ), '"'
           CALL message( 'lpm_init', 'PA0217', 1, 2, 0, 6, 0 )
@@ -483,5 +486,5 @@
 
        CASE DEFAULT
-          WRITE( message_string, * ) 'unknown boundary condition ',   &
+          WRITE( message_string, * ) 'unknown boundary condition ',            &
                                      'bc_par_t = "', TRIM( bc_par_t ), '"'
           CALL message( 'lpm_init', 'PA0218', 1, 2, 0, 6, 0 )
@@ -540,6 +543,6 @@
 
        CASE DEFAULT
-          WRITE( message_string, * )  'unknown splitting condition ',   &
-                                       'splitting_mode = "', TRIM( splitting_mode ), '"'
+          WRITE( message_string, * )  'unknown splitting_mode = "',            &
+                                      TRIM( splitting_mode ), '"'
           CALL message( 'lpm_init', 'PA0146', 1, 2, 0, 6, 0 )
 
@@ -557,6 +560,6 @@
 
        CASE DEFAULT
-          WRITE( message_string, * )  'unknown splitting function ',   &
-                                       'splitting_function = "', TRIM( splitting_function ), '"'
+          WRITE( message_string, * )  'unknown splitting function = "',        &
+                                       TRIM( splitting_function ), '"'
           CALL message( 'lpm_init', 'PA0147', 1, 2, 0, 6, 0 )
 
@@ -619,5 +622,5 @@
        DO  i = 1, number_of_particle_groups
           IF ( density_ratio(i) /= 0.0_wp  .AND.  radius(i) == 0 )  THEN
-             WRITE( message_string, * ) 'particle group #', i, 'has a', &
+             WRITE( message_string, * ) 'particle group #', i, ' has a',       &
                                         'density ratio /= 0 but radius = 0'
              CALL message( 'lpm_init', 'PA0215', 1, 2, 0, 6, 0 )
Index: palm/trunk/SOURCE/lpm_read_restart_file.f90
===================================================================
--- palm/trunk/SOURCE/lpm_read_restart_file.f90	(revision 3044)
+++ palm/trunk/SOURCE/lpm_read_restart_file.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised, code adjusted according to PALMs coding standard
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -114,8 +117,8 @@
 !-- First open the input unit.
     IF ( myid_char == '' )  THEN
-       OPEN ( 90, FILE='PARTICLE_RESTART_DATA_IN'//myid_char, &
+       OPEN ( 90, FILE='PARTICLE_RESTART_DATA_IN'//myid_char,                  &
                   FORM='UNFORMATTED' )
     ELSE
-       OPEN ( 90, FILE='PARTICLE_RESTART_DATA_IN/'//myid_char, &
+       OPEN ( 90, FILE='PARTICLE_RESTART_DATA_IN/'//myid_char,                 &
                   FORM='UNFORMATTED' )
     ENDIF
@@ -126,8 +129,8 @@
     particle_binary_version = '4.0'
     IF ( TRIM( version_on_file ) /= TRIM( particle_binary_version ) )  THEN
-       message_string = 'version mismatch concerning data from prior ' // &
-                        'run &version on file    = "' //                  &
-                                      TRIM( version_on_file ) //          &
-                        '&version in program = "' //                      &
+       message_string = 'version mismatch concerning data from prior ' //      &
+                        'run version on file = "' //                           &
+                                      TRIM( version_on_file ) //               &
+                        ' version in program = "' //                           &
                                       TRIM( particle_binary_version ) // '"'
        CALL message( 'lpm_read_restart_file', 'PA0214', 1, 2, 0, 6, 0 )
@@ -138,17 +141,17 @@
 !-- min_nr_particle, the remainder is initialized by zero_particle to avoid
 !-- errors.
-    zero_particle = particle_type( 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,  &
-                                   0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,  &
-                                   0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,  &
-                                   0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,  &
+    zero_particle = particle_type( 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,     &
+                                   0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,     &
+                                   0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,     &
+                                   0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,     &
                                    0, 0, 0_idp, .FALSE., -1 )
 !
 !-- Read some particle parameters and the size of the particle arrays,
 !-- allocate them and read their contents.
-    READ ( 90 )  bc_par_b, bc_par_lr, bc_par_ns, bc_par_t,                  &
-                 number_of_particle_groups, particle_groups, time_prel,     &
+    READ ( 90 )  bc_par_b, bc_par_lr, bc_par_ns, bc_par_t,                     &
+                 number_of_particle_groups, particle_groups, time_prel,        &
                  time_write_particle_data
 
-    ALLOCATE( prt_count(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                     &
+    ALLOCATE( prt_count(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                        &
               grid_particles(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 
Index: palm/trunk/SOURCE/model_1d_mod.f90
===================================================================
--- palm/trunk/SOURCE/model_1d_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/model_1d_mod.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 2965 2018-04-13 07:37:25Z scharf
 ! adjusted format string for 1D run control output
 ! 
@@ -1032,5 +1035,5 @@
        stop_dt_1d = .TRUE.
 
-       WRITE( message_string, * ) 'timestep has exceeded the lower limit &', &
+       WRITE( message_string, * ) 'timestep has exceeded the lower limit ',    &
                                   'dt_1d = ',dt_1d,' s   simulation stopped!'
        CALL message( 'timestep_1d', 'PA0192', 1, 2, 0, 6, 0 )
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 3044)
+++ palm/trunk/SOURCE/modules.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! z_max_do2d removed
+! 
+! 3026 2018-05-22 10:30:53Z schwenkel
 ! Changed the name specific humidity to mixing ratio, since we are computing
 ! mixing ratios.
@@ -1519,5 +1522,4 @@
     REAL(wp) ::  zeta_max = 20.0_wp                            !< namelist parameter
     REAL(wp) ::  zeta_min = -20.0_wp                           !< namelist parameter
-    REAL(wp) ::  z_max_do2d = -1.0_wp                          !< namelist parameter
     REAL(wp) ::  z0h_factor = 1.0_wp                           !< namelist parameter
 
Index: palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3045)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-!
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 3041 2018-05-25 10:39:54Z gronemeier
 ! Add data type for global file attributes
 ! Add read of global attributes of static driver
@@ -2003,6 +2006,6 @@
                 GOTO 12
 
- 10             message_string = 'file TOPOGRAPHY'//TRIM( coupling_char )//    &
-                                 ' does not exist'
+ 10             message_string = 'file TOPOGRAPHY_DATA'//                      &
+                                 TRIM( coupling_char )// ' does not exist'
                 CALL message( 'netcdf_data_input_mod', 'PA0208', 1, 2, 0, 6, 0 )
 
